PETSc version 3.15.5
Fix/Edit manual page

# KSPConvergedDefaultSetUMIRNorm

makes the default convergence test use min(|| B*(b - A*(initial guess))||,|| B*b ||) In the case of right preconditioner or if KSPSetNormType(ksp,KSP_NORM_UNPRECONDITIONED) is used there is no B in the above formula. UMIRNorm is short for Use Minimum Initial Residual Norm.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPConvergedDefaultSetUMIRNorm(KSP ksp)

Collective on ksp

### Input Parameters

| ksp | - iterative context

### Options Database

| -ksp_converged_use_min_initial_residual_norm

Use KSPSetTolerances() to alter the defaults for rtol, abstol, dtol.

The precise values of reason are macros such as KSP_CONVERGED_RTOL, which are defined in petscksp.h.

### See Also

KSPSetConvergenceTest(), KSPSetTolerances(), KSPConvergedSkip(), KSPConvergedReason, KSPGetConvergedReason(), KSPConvergedDefaultSetUIRNorm(), KSPConvergedDefaultSetConvergedMaxits()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages